"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const js_yaml_1 = require("js-yaml");
const fs_1 = require("fs");
const path_1 = require("path");
function supplant(o = {}) {
    return this.replace(/\${([^{}]*)}/g, (a, b) => {
        const r = o[b];
        if (r === undefined) {
            throw new Error(`Please set environment value of ${b}`);
        }
        return typeof r === 'string' || typeof r === 'number' ? r : a;
    });
}
function getCacheConfig() {
    try {
        const configFilePath = path_1.join(process.cwd(), 'cache-config.yml');
        const config = js_yaml_1.safeLoad(supplant.call(fs_1.readFileSync(configFilePath, 'utf-8'), process.env));
        return config;
    }
    catch (e) {
        throw e;
    }
}
exports.getCacheConfig = getCacheConfig;
